DEVCTL_SAFE_QUOTE_SB(9)

NAME
devctl_safe_quote_sb - Insert a string, properly quoted, into a sbuf

SYNOPSIS
#include <sys/devctl.h>
#include <sys/sbuf.h>
void
devctl_safe_quote_sb(struct sbuf *sb, const char *src);

DESCRIPTION
Copy the string from src into sb. All backslash characters are doubled. All double quote characters ‘"’ are also preceded by a backslash. All other characters are copied without modification. The devctl(4) protocol requires quoted string to be quoted thus. This routine centralizes this knowledge.

SEE ALSO
devd(8)

AUTHORS
This manual page was written by M. Warner Losh